Name:           rpmrebuild
Version:        2.1.1
Release:        9%{?dist}
Summary:        A tool to build rpm file from rpm database

Group:          Development/Tools
License:        GPLv2+
URL:            http://rpmrebuild.sourceforge.net

# The tarball was extracted from the upstream src.rpm located at:
# http://downloads.sourceforge.net/rpmrebuild/%{name}-%{version}-1rpm4.src.rpm

Source0:        http://downloads.sourceforge.net/rpmrebuild/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       rpm >= 4.0, grep, rpm-build

%description
A tool to build an RPM file from a package that has already been installed.

%prep
%setup -q -c 


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/VERSION
chmod a+w $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src
awk '{if (NR==1) print "#!/bin/bash\n" $0; else print $0;}' < $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src > $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src.new
mv $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src.new $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src
chmod a-w $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src


%clean
rm -rf $RPM_BUILD_ROOT


%postun
# Remove all lines which contain 'RPMREBUILD START' 
# to 'RPMREBUILD END' in %{_sysconfdir}/popt
[ $1 -eq 0 ] || exit 0
if [ -f %{_sysconfdir}/popt ]; then
  sed -i -e '/RPMREBUILD START/,/RPMREBUILD END/d' %{_sysconfdir}/popt
fi

%files
%defattr(-,root,root,-)
%doc VERSION AUTHORS Changelog COPYING COPYRIGHT News Todo README
%dir %{_prefix}/lib/rpmrebuild/
%dir %{_prefix}/lib/rpmrebuild/plugins/
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/plugins/demo.sh
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/plugins/demofiles.sh
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/plugins/file2pacDep.sh
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/plugins/uniq.sh
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/rpmrebuild_buildroot.sh
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/rpmrebuild_files.sh
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/rpmrebuild_ghost.sh
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/run.sh
%attr(0755,root,root) %{_bindir}/rpmrebuild
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/plugins/nodoc.sh
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/processing_func.src
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/spec_func.src
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/rpmrebuild.sh
%{_prefix}/lib/rpmrebuild/.popt
%{_prefix}/lib/rpmrebuild/plugins/demo.plug
%{_prefix}/lib/rpmrebuild/plugins/file2pacDep.plug
%{_prefix}/lib/rpmrebuild/plugins/nodoc.plug
%{_prefix}/lib/rpmrebuild/plugins/uniq.plug
%{_prefix}/lib/rpmrebuild/popt-with-POPTdesc
%{_prefix}/lib/rpmrebuild/popt-without-POPTdesc
%{_prefix}/lib/rpmrebuild/rpmrebuild_popt
%{_mandir}/man1/demo.plug.1rrp.gz
%{_mandir}/man1/file2pacDep.plug.1rrp.gz
%{_mandir}/man1/nodoc.plug.1rrp.gz
%{_mandir}/man1/rpmrebuild.1.gz
%{_mandir}/man1/rpmrebuild_plugins.1.gz
%{_mandir}/man1/uniq.plug.1rrp.gz


%changelog
* Fri Sep 28 2007 Anderson Silva <ansilva@redhat.com> 2.1.1-9
- Simpler %%postun provided by Mamoru Tasaka. Thanks.
* Fri Sep 28 2007 Anderson Silva <ansilva@redhat.com> 2.1.1-8
- Replaced /usr/lib with %%{_prefix}/lib
- Fixed typo on popt.tmp filename
- fixed typo on %%changelog
- Added %%{_prefix}/lib/rpmbuild/plugins
* Thu Sep 27 2007 Anderson Silva <ansilva@redhat.com> 2.1.1-7
- Changed /etc to %%{_sysconfdir}
- Fixed reference on postun section
- Using tarball as Source0
- Added require rpm-build
- Removed require for textutils, fileutils
- Added directories to belong to package
* Thu Sep 7 2007 Anderson Silva <ansilva@redhat.com> 2.1.1-6
- Fixed error on sed script
- Upstream tarball comes from src.rpm (comment added)
* Thu Sep 5 2007 Anderson Silva <ansilva@redhat.com> 2.1.1-5
- Optimized postun with sed
* Thu Aug 27 2007 Anderson Silva <ansilva@redhat.com> 2.1.1-4
- Fixed Description once again
* Thu Aug 23 2007 Anderson Silva <ansilva@redhat.com> 2.1.1-3
- Fixed Description
- Updated license
- Update %%doc
* Thu Aug 13 2007 Anderson Silva <ansilva@redhat.com> 2.1.1-2
- Assuming ownership of package.
* Thu Aug 9 2007 <smilner@redhat.com> 2.1.1-1
- Initial package following the Fedora packaging guidelines.
